Subject: Re: [Bug] git-log prints wrong unixtime with --date=format:%s

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 May 2016 09:21:34 -0700

Jeff King <[email-masked]> writes:

> I tried a few obvious things, but couldn't make anything work. Setting
> "timezone" manually seems to do nothing. It's supposed to be set by
> putting the right thing in $TZ and then calling tzset(). So I tried
> munging $TZ to something like "+0200". It did have _some_ effect, but I

Wouldn't that be more like "UTC+0200"?

In any case, I do not think anybody wants to do tzset() on each and
every commit while running "git log".  Can we declare "format:<strftime>"
will always use the local timezone, or something?